Name: 	 	libopensync-plugin-evolution2
Version: 	0.22
Epoch:		1
Release: 	%{mkrel 2}
Summary: 	Evolution plugin for OpenSync synchronization framework
URL:		http://www.opensync.org
License:	LGPLv2+
Group:		Office
Source0:	http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
# Don't use -Wall and -Werror - AdamW 2008/03
Patch0:		libopensync-plugin-evolution2-0.22-warning.patch
Obsoletes:	multisync-evolution
Provides:	multisync-evolution
BuildRequires:	libopensync-devel < 0.30
BuildRequires:	evolution-data-server-devel
Requires:	libopensync >= %{epoch}:%{version}
Requires:	evolution
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	%{name}-devel <= %{version}-%{release}

%description
This plugin allows applications using OpenSync to synchronise to and from
Evolution.

%prep
%setup -q
%patch0 -p1 -b .warning

%build
autoreconf -i
%configure2_5x
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_includedir}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/opensync/plugins/*
%{_datadir}/opensync/defaults/*



%changelog
* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.com> 1:0.22-2mdv2008.1
+ Revision: 187560
- some cleanups
- add warning.patch (don't use Wall and Werror, so build succeeds)
- revert to 0.22 based on latest 0.22 spec from SVN

* Wed Jan 30 2008 Funda Wang <fundawang@mandriva.org> 0.36-1mdv2008.1
+ Revision: 160138
- New version 0.36

* Tue Dec 25 2007 Funda Wang <fundawang@mandriva.org> 0.35-1mdv2008.1
+ Revision: 137688
- New version 0.35

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 0.34-1mdv2008.1
+ Revision: 105863
- add patch for new eds
- New version 0.34

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 0.33-1mdv2008.1
+ Revision: 100188
- fix file list
- drop devel package
- New version 0.33

* Tue Apr 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.0
+ Revision: 18003
- new version


* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.20-2mdv2007.0
+ Revision: 88908
- rebuild

* Sun Nov 12 2006 Buchan Milne <bgmilne@mandriva.org> 0.20-1mdv2007.1
+ Revision: 83446
- new version 0.20
- Import libopensync-plugin-evolution2

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.18-4mdv2007.0
- Rebuild with latest evolution

* Tue Apr 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.18-3mdk
- Rebuild with evolution-data-server 1.6

* Mon Dec 05 2005 Austin Acton <austin@mandriva.org> 0.18-2mdk
- mkrel
- obsoletes multisync-evolution

* Sat Dec 03 2005 Austin Acton <austin@mandriva.org> 0.18-1mdk
- initial package

